OdgGenerator Class Reference documentation

Public Member Functions | Private Member Functions | Private Attributes | List of all members
OdgGenerator Class Reference

A generator for vector drawings. More...

`#include <OdgGenerator.hxx>`

Inheritance diagram for OdgGenerator:

## Public Member Functions
| OdgGenerator ()
| ~OdgGenerator () override
void | addDocumentHandler (OdfDocumentHandler *pHandler, const OdfStreamType streamType)
librevenge::RVNGStringVector | getObjectNames () const
bool | getObjectContent (librevenge::RVNGString const &objectName, OdfDocumentHandler *pHandler)
void | setDocumentMetaData (const librevenge::RVNGPropertyList &) override
void | defineEmbeddedFont (const librevenge::RVNGPropertyList &propList) override
void | startPage (const librevenge::RVNGPropertyList &) override
void | endPage () override
void | startMasterPage (const librevenge::RVNGPropertyList &) override
void | endMasterPage () override
void | startLayer (const ::librevenge::RVNGPropertyList &propList) override
void | endLayer () override
void | openGroup (const ::librevenge::RVNGPropertyList &propList) override
void | closeGroup () override
void | startEmbeddedGraphics (const ::librevenge::RVNGPropertyList &propList) override
void | endEmbeddedGraphics () override
void | setStyle (const ::librevenge::RVNGPropertyList &propList) override
void | drawRectangle (const ::librevenge::RVNGPropertyList &propList) override
void | drawEllipse (const ::librevenge::RVNGPropertyList &propList) override
void | drawPolyline (const ::librevenge::RVNGPropertyList &propList) override
void | drawPolygon (const ::librevenge::RVNGPropertyList &propList) override
void | drawPath (const ::librevenge::RVNGPropertyList &propList) override
void | drawGraphicObject (const ::librevenge::RVNGPropertyList &propList) override
void | drawConnector (const ::librevenge::RVNGPropertyList &propList) override
void | startTableObject (const ::librevenge::RVNGPropertyList &propList) override
void | openTableRow (const ::librevenge::RVNGPropertyList &propList) override
void | closeTableRow () override
void | openTableCell (const ::librevenge::RVNGPropertyList &propList) override
void | closeTableCell () override
void | insertCoveredTableCell (const ::librevenge::RVNGPropertyList &propList) override
void | endTableObject () override
void | startTextObject (const ::librevenge::RVNGPropertyList &propList) override
void | endTextObject () override
void | defineParagraphStyle (const librevenge::RVNGPropertyList &propList) override
void | openParagraph (const librevenge::RVNGPropertyList &propList) override
void | closeParagraph () override
void | defineCharacterStyle (const librevenge::RVNGPropertyList &propList) override
void | openSpan (const librevenge::RVNGPropertyList &propList) override
void | closeSpan () override
void | openLink (const librevenge::RVNGPropertyList &propList) override
void | closeLink () override
void | insertText (const librevenge::RVNGString &text) override
void | insertTab () override
void | insertSpace () override
void | insertLineBreak () override
void | insertField (const librevenge::RVNGPropertyList &propList) override
void | openOrderedListLevel (const librevenge::RVNGPropertyList &propList) override
void | openUnorderedListLevel (const librevenge::RVNGPropertyList &propList) override
void | closeOrderedListLevel () override
void | closeUnorderedListLevel () override
void | openListElement (const librevenge::RVNGPropertyList &propList) override
void | closeListElement () override
void | startDocument (const librevenge::RVNGPropertyList &) override
void | endDocument () override
void | registerEmbeddedImageHandler (const librevenge::RVNGString &mimeType, OdfEmbeddedImage imageHandler)
| Registers a handler for embedded images.
void | registerEmbeddedObjectHandler (const librevenge::RVNGString &mimeType, OdfEmbeddedObject objectHandler)
| Registers a handler for embedded objects.
void | initStateWith (OdfGenerator const &orig)
| retrieve data from another odfgenerator ( the list and the embedded handler)

## Private Member Functions
| OdgGenerator (OdgGenerator const &)
OdgGenerator & | operator= (OdgGenerator const &)

## Private Attributes
OdgGeneratorPrivate * | mpImpl

## Detailed Description

A generator for vector drawings.

See `librevenge` library for documentation of the librevenge::WPGPaintInterface interface.

## Constructor & Destructor Documentation

## ◆ OdgGenerator() [1/2]

OdgGenerator::OdgGenerator | ( |  | ) |

Referenced by OdgGenerator(), and operator=().

## ◆ ~OdgGenerator()

OdgGenerator::~OdgGenerator | ( |  | ) |
| override

## ◆ OdgGenerator() [2/2]

OdgGenerator::OdgGenerator | ( | OdgGenerator const & |  | ) |
| private

## Member Function Documentation

## ◆ addDocumentHandler()

void OdgGenerator::addDocumentHandler | ( | OdfDocumentHandler * | pHandler,
|  | const OdfStreamType | streamType )

## ◆ closeGroup()

void OdgGenerator::closeGroup | ( |  | ) |
| override

## ◆ closeLink()

void OdgGenerator::closeLink | ( |  | ) |
| override

## ◆ closeListElement()

void OdgGenerator::closeListElement | ( |  | ) |
| override

## ◆ closeOrderedListLevel()

void OdgGenerator::closeOrderedListLevel | ( |  | ) |
| override

## ◆ closeParagraph()

void OdgGenerator::closeParagraph | ( |  | ) |
| override

## ◆ closeSpan()

void OdgGenerator::closeSpan | ( |  | ) |
| override

## ◆ closeTableCell()

void OdgGenerator::closeTableCell | ( |  | ) |
| override

## ◆ closeTableRow()

void OdgGenerator::closeTableRow | ( |  | ) |
| override

## ◆ closeUnorderedListLevel()

void OdgGenerator::closeUnorderedListLevel | ( |  | ) |
| override

## ◆ defineCharacterStyle()

void OdgGenerator::defineCharacterStyle | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ defineEmbeddedFont()

void OdgGenerator::defineEmbeddedFont | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ defineParagraphStyle()

void OdgGenerator::defineParagraphStyle | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ drawConnector()

void OdgGenerator::drawConnector | ( | const ::librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ drawEllipse()

void OdgGenerator::drawEllipse | ( | const ::librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ drawGraphicObject()

void OdgGenerator::drawGraphicObject | ( | const ::librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ drawPath()

void OdgGenerator::drawPath | ( | const ::librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ drawPolygon()

void OdgGenerator::drawPolygon | ( | const ::librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ drawPolyline()

void OdgGenerator::drawPolyline | ( | const ::librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ drawRectangle()

void OdgGenerator::drawRectangle | ( | const ::librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ endDocument()

void OdgGenerator::endDocument | ( |  | ) |
| override

## ◆ endEmbeddedGraphics()

void OdgGenerator::endEmbeddedGraphics | ( |  | ) |
| override

## ◆ endLayer()

void OdgGenerator::endLayer | ( |  | ) |
| override

## ◆ endMasterPage()

void OdgGenerator::endMasterPage | ( |  | ) |
| override

## ◆ endPage()

void OdgGenerator::endPage | ( |  | ) |
| override

## ◆ endTableObject()

void OdgGenerator::endTableObject | ( |  | ) |
| override

## ◆ endTextObject()

void OdgGenerator::endTextObject | ( |  | ) |
| override

## ◆ getObjectContent()

bool OdgGenerator::getObjectContent | ( | librevenge::RVNGString const & | objectName,
|  | OdfDocumentHandler * | pHandler )

## ◆ getObjectNames()

librevenge::RVNGStringVector OdgGenerator::getObjectNames | ( |  | ) | const

## ◆ initStateWith()

void OdgGenerator::initStateWith | ( | OdfGenerator const & | orig | ) |

retrieve data from another odfgenerator ( the list and the embedded handler)

## ◆ insertCoveredTableCell()

void OdgGenerator::insertCoveredTableCell | ( | const ::librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ insertField()

void OdgGenerator::insertField | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ insertLineBreak()

void OdgGenerator::insertLineBreak | ( |  | ) |
| override

## ◆ insertSpace()

void OdgGenerator::insertSpace | ( |  | ) |
| override

## ◆ insertTab()

void OdgGenerator::insertTab | ( |  | ) |
| override

## ◆ insertText()

void OdgGenerator::insertText | ( | const librevenge::RVNGString & | text | ) |
| override

## ◆ openGroup()

void OdgGenerator::openGroup | ( | const ::librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ openLink()

void OdgGenerator::openLink | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ openListElement()

void OdgGenerator::openListElement | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ openOrderedListLevel()

void OdgGenerator::openOrderedListLevel | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ openParagraph()

void OdgGenerator::openParagraph | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ openSpan()

void OdgGenerator::openSpan | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ openTableCell()

void OdgGenerator::openTableCell | ( | const ::librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ openTableRow()

void OdgGenerator::openTableRow | ( | const ::librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ openUnorderedListLevel()

void OdgGenerator::openUnorderedListLevel | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ operator=()

OdgGenerator & OdgGenerator::operator= | ( | OdgGenerator const & |  | ) |
| private

## ◆ registerEmbeddedImageHandler()

void OdgGenerator::registerEmbeddedImageHandler | ( | const librevenge::RVNGString & | mimeType,
|  | OdfEmbeddedImage | imageHandler )

Registers a handler for embedded images.

Parameters

  [in] | mimeType | MIME type of the image
  [in] | imageHandler | a function that handles processing of the image's data and generating output

## ◆ registerEmbeddedObjectHandler()

void OdgGenerator::registerEmbeddedObjectHandler | ( | const librevenge::RVNGString & | mimeType,
|  | OdfEmbeddedObject | objectHandler )

Registers a handler for embedded objects.

Parameters

  [in] | mimeType | MIME type of the object
  [in] | objectHandler | a function that handles processing of the object's data and generating output

## ◆ setDocumentMetaData()

void OdgGenerator::setDocumentMetaData | ( | const librevenge::RVNGPropertyList & |  | ) |
| override

## ◆ setStyle()

void OdgGenerator::setStyle | ( | const ::librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ startDocument()

void OdgGenerator::startDocument | ( | const librevenge::RVNGPropertyList & |  | ) |
| override

## ◆ startEmbeddedGraphics()

void OdgGenerator::startEmbeddedGraphics | ( | const ::librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ startLayer()

void OdgGenerator::startLayer | ( | const ::librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ startMasterPage()

void OdgGenerator::startMasterPage | ( | const librevenge::RVNGPropertyList & |  | ) |
| override

## ◆ startPage()

void OdgGenerator::startPage | ( | const librevenge::RVNGPropertyList & |  | ) |
| override

## ◆ startTableObject()

void OdgGenerator::startTableObject | ( | const ::librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ startTextObject()

void OdgGenerator::startTextObject | ( | const ::librevenge::RVNGPropertyList & | propList | ) |
| override

## Member Data Documentation

## ◆ mpImpl

OdgGeneratorPrivate* OdgGenerator::mpImpl
| private

The documentation for this class was generated from the following file:

- OdgGenerator.hxx